<form [formGroup]="checkoutForm" (ngSubmit)="onSubmit()">

    <div>
        <label for="title">
            title
        </label>
        <input id="title" type="text" formControlName="title" required="required">
    </div>

    <div>
        <label for="director">
            director
        </label>
        <input id="director" type="text" formControlName="director" required="required">
    </div>

    <div>
        <label for="releaseYear">
            releaseYear
        </label>
        <input id="releaseYear" type="text" formControlName="releaseYear" required="required">
    </div>

    <div>
        <label for="imdbRating">
            imdbRating
        </label>
        <input id="imdbRating" type="text" formControlName="imdbRating" required="required">
    </div>

    <div>
        <label for="synopsis">
            synopsis
        </label>
        <textarea id="synopsis" name="synopsis" formControlName="synopsis" required="required" rows="5" cols="33"></textarea>
    </div>

    <button class="button" type="submit" [disabled]="!checkoutForm.valid">New film</button>
</form>
<p>{{checkoutForm.valid}}</p>
<p>{{checkoutForm.value}}</p>